require "dependency_updater/version"
require "dependency_updater/updater"
require 'dependency_updater/railtie' if defined?(Rails)

module DependencyUpdater
  class Error < StandardError; end

  class << self
    attr_accessor :configuration
  end

  def self.configure
    self.configuration ||= Configuration.new
    yield(configuration) if block_given?
  end

  class Configuration
    attr_accessor :production_branch
    attr_accessor :merge_target_branch
    attr_accessor :project_id

    def initialize
      @production_branch   = nil
      @merge_target_branch = nil
      @project_id          = nil
    end
  end
end
