# frozen_string_literal: true

module DependencyUpdater
  module Messengers
    class GitlabMessenger
      def new_branch(name)
        puts "Checked out new branch: #{name}"
      end

      def commit(message)
        puts "Made commit: #{message}"
      end

      def new_mr(title, web_url)
        puts <<~MSG
        Opened a new MR with title: #{title}
        Find it here: #{web_url}
        MSG
      end

      def backing_out(branch)
        puts <<~MSG
        Dependency Updater found nothing to update at this time
        Deleting branch #{branch}
        MSG
      end
    end
  end
end
